Summary: GNU C++ shared libraries
Name: libstdc++
Version: rh60
Release: 4
Group: System Environment/Libraries
Copyright: LGPL
Url: http://egcs.cygnus.com/
Packager: Hao Li <hli@wag.caltech.edu>
Source: %{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
This package includes following C++ shared libraries:

	libstdc++-2-libc6.1-1-2.9.0.so	from stock Red Hat 6.0
	libstdc++.so.2.9.0		from Hao Li's egcs-1.1.2-1 for RH6
	libstdc++.so.2.8.1.1		from Arne Coucheron
	libstdc++.so.2.7.2.8		from stock Red Hat 5.2
	libg++.so.2.7.2.8		from stock Red Hat 5.2

This package is needed if you choose to install Hao Li's 
gcc-2.95-1.i386.rpm (built on lotus.home.prv), while wish to maintain
backward compatibility with prebuilt binaries already dynamically 
linked against these libraries.

New binaries built with Hao Li's gcc-2.95-1.i386.rpm will be dynamically
linked against libstdc++-3-libc6.1-2-2.10.0.so, which is provided in 
the gcc RPM itself.


%prep
%setup -q -n i386


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
cp -pr * $RPM_BUILD_ROOT/usr/lib
chmod 0755 $RPM_BUILD_ROOT/usr/lib/*


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
/usr/lib/*


%clean
rm -rf $RPM_BUILD_ROOT

